Bug 1127413 - WARN [ResourceContainer.invoker.daemon-3] (rhq.modules.plugins.jbossas7.BaseComponent)
Summary: WARN [ResourceContainer.invoker.daemon-3] (rhq.modules.plugins.jbossas7.Base...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER02
: JON 3.3.0
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 20:23 UTC by Matt Mahoney
Modified: 2014-12-11 14:03 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:03:36 UTC


Attachments (Terms of Use)
agent.log (465.70 KB, text/plain)
2014-08-06 20:23 UTC, Matt Mahoney
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1127412 None None None Never

Internal Trackers: 1127412

Description Matt Mahoney 2014-08-06 20:23:57 UTC
Created attachment 924593 [details]
agent.log

Description of problem:
Warning in agent.log file after clean install and server start.

WARN  [ResourceContainer.invoker.daemon-3] (rhq.modules.plugins.jbossas7.BaseComponent)- Getting metric [context-root] at [ Address{path: deployment=rhq.ear,subdeployment=rhq-downloads.war,subsystem=web}] failed: The server closed the connection before sending the response, rolled-back=false, rolled-back=false
WARN  [ResourceContainer.invoker.daemon-3] (rhq.modules.plugins.jbossas7.BaseComponent)- Getting metric [context-root] at [ Address{path: deployment=rhq.ear,subdeployment=rhq-portal.war,subsystem=web}] failed: The server closed the connection before sending the response, rolled-back=false, rolled-back=false
WARN  [ResourceContainer.invoker.daemon-3] (rhq.modules.plugins.jbossas7.BaseComponent)- Getting metric [virtual-host] at [ Address{path: deployment=rhq.ear,subdeployment=rhq-portal.war,subsystem=web}] failed: The server closed the connection before sending the response, rolled-back=false, rolled-back=false
WARN  [ResourceContainer.invoker.daemon-5] (rhq.modules.plugins.jbossas7.BaseComponent)- Getting metric [virtual-host] at [ Address{path: deployment=rhq.ear,subdeployment=rhq-rest.war,subsystem=web}] failed: The server closed the connection before sending the response, rolled-back=false, rolled-back=false


Version-Release number of selected component (if applicable):
JON 3.3 DR01

How reproducible:


Steps to Reproduce:
1. Install and start JON.
2.
3.

Actual results:
Warnings in agent.log after clean install/start.

Expected results:
Should be zero silent Warnings in server.log


Expected results:


Additional info:

Comment 1 Thomas Segismont 2014-08-22 20:56:46 UTC
Will make these messages show only at DEBUG level

Comment 2 Thomas Segismont 2014-08-25 12:03:34 UTC
Fixed in master

commit ad41ed5ee5131a5d8eba7df188cd74eaeee5d5ce
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Aug 25 14:00:13 2014 +0200

    Bug 1127413 + Bug 1127412
    
    Make BaseComponent less verbose on metric collection issues. Still, log
    problems at DEBUG level.

Comment 3 Michael Burman 2014-08-29 13:12:58 UTC
Cherry-picked to release/jon3.3.x:

commit 7403911c7d31d12097bba6311b1c22555c8ec8ae
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Aug 25 14:00:13 2014 +0200

    Bug 1127413 + Bug 1127412
    
    Make BaseComponent less verbose on metric collection issues. Still, log
    problems at DEBUG level.
    
    (cherry picked from commit ad41ed5ee5131a5d8eba7df188cd74eaeee5d5ce)

Comment 4 Simeon Pinder 2014-09-03 20:31:24 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194


Note You need to log in before you can comment on or make changes to this bug.